libqxp::TextSpec Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::TextSpec:

## Public Member Functions
unsigned | endIndex () const
unsigned | afterEndIndex () const
bool | overlaps (const TextSpec &other) const

## Public Attributes
const unsigned | startIndex
const unsigned | length

## Protected Member Functions
| TextSpec (unsigned start, unsigned len)

## Constructor & Destructor Documentation

## ◆ TextSpec()

libqxp::TextSpec::TextSpec | ( | unsigned | start,
|  | unsigned | len )
| inline protected

Referenced by libqxp::CharFormatSpec::CharFormatSpec(), overlaps(), and libqxp::ParagraphSpec::ParagraphSpec().

## Member Function Documentation

## ◆ afterEndIndex()

unsigned libqxp::TextSpec::afterEndIndex | ( |  | ) | const
| inline

## ◆ endIndex()

unsigned libqxp::TextSpec::endIndex | ( |  | ) | const
| inline

Referenced by overlaps().

## ◆ overlaps()

bool libqxp::TextSpec::overlaps | ( | const TextSpec & | other | ) | const

## Member Data Documentation

## ◆ length

const unsigned libqxp::TextSpec::length

Referenced by afterEndIndex(), endIndex(), and TextSpec().

## ◆ startIndex

const unsigned libqxp::TextSpec::startIndex

Referenced by afterEndIndex(), endIndex(), overlaps(), and TextSpec().

The documentation for this struct was generated from the following files:

- QXPTypes.h
- QXPTypes.cpp